Package com.io7m.idstore.server.service.telemetry.api

# Record Class IdEventUserPasswordResetRateLimitExceeded

java.lang.Object
java.lang.Record
com.io7m.idstore.server.service.telemetry.api.IdEventUserPasswordResetRateLimitExceeded

Record Components:
  `remoteHost` - The host exceeding the limit
  `target` - The target username or email, depending on which was specified

All Implemented Interfaces:
  `IdEventType`

public record IdEventUserPasswordResetRateLimitExceeded(String remoteHost, String target) extends Record implements IdEventType
A password reset rate limit was exceeded.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdEventUserPasswordResetRateLimitExceeded(String remoteHost, String target)`
  A password reset rate limit was exceeded.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `asAttributes()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `message()`
  `String`
  `name()`
  `String`
  `remoteHost()`
  Returns the value of the `remoteHost` record component.
  `IdEventSeverity`
  `severity()`
  `String`
  `target()`
  Returns the value of the `target` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.idstore.server.service.telemetry.api.IdEventType

  `domain`

- ## Constructor Details

  - ### IdEventUserPasswordResetRateLimitExceeded

    public IdEventUserPasswordResetRateLimitExceeded(String remoteHost, String target)
    A password reset rate limit was exceeded.
    Parameters:
      `remoteHost` - The remoteHost exceeding the limit
      `target` - The target username or email, depending on which was specified

- ## Method Details

  - ### severity

    public IdEventSeverity severity()
    Specified by:
      `severity` in interface `IdEventType`
    Returns:
      The event severity

  - ### name

    public String name()
    Specified by:
      `name` in interface `IdEventType`
    Returns:
      The event name

  - ### message

    public String message()
    Specified by:
      `message` in interface `IdEventType`
    Returns:
      The formatted event message

  - ### asAttributes

    public Map<String,String> asAttributes()
    Specified by:
      `asAttributes` in interface `IdEventType`
    Returns:
      The complete event attributes

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### remoteHost

    public String remoteHost()
    Returns the value of the `remoteHost` record component.
    Returns:
      the value of the `remoteHost` record component

  - ### target

    public String target()
    Returns the value of the `target` record component.
    Returns:
      the value of the `target` record component